Subject: Re: PATCH powerpc Merge asm-ppc*/seccomp.h

From: Jon Loeliger <[email-masked]>
Date: Fri, 23 Sep 2005 07:54:52 -0500

So, like, the other day Christoph Hellwig mumbled:
> > 
> > But keep the #include?  It's actually the part
> > that is defining TIF_32BIT for ppc64 (indirectly
> > through linux/thread_info.h and asm/thread_info.h).
> > Won't those bits be needed still?
> 
> I'm not sure.  This header definitly doesn't need it, but I suspect
> seccompt.c expects to get it via this header.

I dug around in this a bit.  The nested includes here yield
a fairly wide distribution of availability of TIF_32BIT.
I'm hesitant to remove it in this "merge" patch, so I
will leave its removal to a follow on patch/effort.

New patch with #if test removed coming up.

jdl